Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultSupplyProblemType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultSupplyProblemType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultSupplyProblemType extends Object implements Serializable

Java class for ConsultSupplyProblemType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupplyProblemType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ExpectedEndOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ReportedBy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ReportedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ContactName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ContactMail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ContactCompany" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Phone" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Reason" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="AdditionalInformation" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="Impact" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultSupplyProblemType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `ConsultTextType`
  `getAdditionalInformation()`
  If there is a supply problem, here’s why.
  `String`
  `getContactCompany()`
  Contact’s company.
  `String`
  `getContactMail()`
  Contact’s mail address.
  `String`
  `getContactName()`
  Contact name for the supply problem.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `Instant`
  `getExpectedEndOn()`
  Expected end date of the supply problem.
  `ConsultTextType`
  `getImpact()`
  Impact of the supply problem (classification).
  `String`
  `getPhone()`
  Contact’s phone number.
  `ConsultTextType`
  `getReason()`
  If there is a supply problem, here’s why.
  `String`
  `getReportedBy()`
  Name of the reporter of the supply problem: company ,doctor, patient, pharmacist, other.
  `Instant`
  `getReportedOn()`
  Date of the notification of the supply problem.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `void`
  `setAdditionalInformation(ConsultTextType value)`
  Sets the value of the additionalInformation property.
  `void`
  `setContactCompany(String value)`
  Sets the value of the contactCompany property.
  `void`
  `setContactMail(String value)`
  Sets the value of the contactMail property.
  `void`
  `setContactName(String value)`
  Sets the value of the contactName property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setExpectedEndOn(Instant value)`
  Sets the value of the expectedEndOn property.
  `void`
  `setImpact(ConsultTextType value)`
  Sets the value of the impact property.
  `void`
  `setPhone(String value)`
  Sets the value of the phone property.
  `void`
  `setReason(ConsultTextType value)`
  Sets the value of the reason property.
  `void`
  `setReportedBy(String value)`
  Sets the value of the reportedBy property.
  `void`
  `setReportedOn(Instant value)`
  Sets the value of the reportedOn property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultSupplyProblemType

    public ConsultSupplyProblemType()

- ## Method Details

  - ### getExpectedEndOn

    public Instant getExpectedEndOn()
    Expected end date of the supply problem.
    Returns:
      possible object is `String`

  - ### setExpectedEndOn

    public void setExpectedEndOn(Instant value)
    Sets the value of the expectedEndOn property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getExpectedEndOn()`

  - ### getReportedBy

    public String getReportedBy()
    Name of the reporter of the supply problem: company ,doctor, patient, pharmacist, other.
    Returns:
      possible object is `String`

  - ### setReportedBy

    public void setReportedBy(String value)
    Sets the value of the reportedBy property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReportedBy()`

  - ### getReportedOn

    public Instant getReportedOn()
    Date of the notification of the supply problem.
    Returns:
      possible object is `String`

  - ### setReportedOn

    public void setReportedOn(Instant value)
    Sets the value of the reportedOn property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReportedOn()`

  - ### getContactName

    public String getContactName()
    Contact name for the supply problem.
    Returns:
      possible object is `String`

  - ### setContactName

    public void setContactName(String value)
    Sets the value of the contactName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContactName()`

  - ### getContactMail

    public String getContactMail()
    Contact’s mail address.
    Returns:
      possible object is `String`

  - ### setContactMail

    public void setContactMail(String value)
    Sets the value of the contactMail property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContactMail()`

  - ### getContactCompany

    public String getContactCompany()
    Contact’s company.
    Returns:
      possible object is `String`

  - ### setContactCompany

    public void setContactCompany(String value)
    Sets the value of the contactCompany property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContactCompany()`

  - ### getPhone

    public String getPhone()
    Contact’s phone number.
    Returns:
      possible object is `String`

  - ### setPhone

    public void setPhone(String value)
    Sets the value of the phone property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPhone()`

  - ### getReason

    public ConsultTextType getReason()
    If there is a supply problem, here’s why. This field is translated in French, Dutch, German and English. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setReason

    public void setReason(ConsultTextType value)
    Sets the value of the reason property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getReason()`

  - ### getAdditionalInformation

    public ConsultTextType getAdditionalInformation()
    If there is a supply problem, here’s why. This field is translated in French, Dutch, German and English. When it is specified, French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setAdditionalInformation

    public void setAdditionalInformation(ConsultTextType value)
    Sets the value of the additionalInformation property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getAdditionalInformation()`

  - ### getImpact

    public ConsultTextType getImpact()
    Impact of the supply problem (classification).
    Returns:
      possible object is `ConsultTextType`

  - ### setImpact

    public void setImpact(ConsultTextType value)
    Sets the value of the impact property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getImpact()`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`